// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.18.1
// source: sip/gsuite/gsuite.proto

package gsuite

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	emptypb "google.golang.org/protobuf/types/known/emptypb"
	timestamppb "google.golang.org/protobuf/types/known/timestamppb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type SharingType int32

const (
	SharingType_USER   SharingType = 0
	SharingType_GROUP  SharingType = 1
	SharingType_VSETH  SharingType = 2
	SharingType_PUBLIC SharingType = 3
)

// Enum value maps for SharingType.
var (
	SharingType_name = map[int32]string{
		0: "USER",
		1: "GROUP",
		2: "VSETH",
		3: "PUBLIC",
	}
	SharingType_value = map[string]int32{
		"USER":   0,
		"GROUP":  1,
		"VSETH":  2,
		"PUBLIC": 3,
	}
)

func (x SharingType) Enum() *SharingType {
	p := new(SharingType)
	*p = x
	return p
}

func (x SharingType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (SharingType) Descriptor() protoreflect.EnumDescriptor {
	return file_sip_gsuite_gsuite_proto_enumTypes[0].Descriptor()
}

func (SharingType) Type() protoreflect.EnumType {
	return &file_sip_gsuite_gsuite_proto_enumTypes[0]
}

func (x SharingType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use SharingType.Descriptor instead.
func (SharingType) EnumDescriptor() ([]byte, []int) {
	return file_sip_gsuite_gsuite_proto_rawDescGZIP(), []int{0}
}

// roles from https://developers.google.com/drive/api/v3/reference/permissions
type FileSharingRole int32

const (
	FileSharingRole_FILEPEROLE_OWNER         FileSharingRole = 0
	FileSharingRole_FILEPEROLE_ORGANIZER     FileSharingRole = 1
	FileSharingRole_FILEPEROLE_FILEORGANIZER FileSharingRole = 2
	FileSharingRole_FILEPEROLE_WRITER        FileSharingRole = 3
	FileSharingRole_FILEPEROLE_COMMENTER     FileSharingRole = 4
	FileSharingRole_FILEPEROLE_READER        FileSharingRole = 5
)

// Enum value maps for FileSharingRole.
var (
	FileSharingRole_name = map[int32]string{
		0: "FILEPEROLE_OWNER",
		1: "FILEPEROLE_ORGANIZER",
		2: "FILEPEROLE_FILEORGANIZER",
		3: "FILEPEROLE_WRITER",
		4: "FILEPEROLE_COMMENTER",
		5: "FILEPEROLE_READER",
	}
	FileSharingRole_value = map[string]int32{
		"FILEPEROLE_OWNER":         0,
		"FILEPEROLE_ORGANIZER":     1,
		"FILEPEROLE_FILEORGANIZER": 2,
		"FILEPEROLE_WRITER":        3,
		"FILEPEROLE_COMMENTER":     4,
		"FILEPEROLE_READER":        5,
	}
)

func (x FileSharingRole) Enum() *FileSharingRole {
	p := new(FileSharingRole)
	*p = x
	return p
}

func (x FileSharingRole) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (FileSharingRole) Descriptor() protoreflect.EnumDescriptor {
	return file_sip_gsuite_gsuite_proto_enumTypes[1].Descriptor()
}

func (FileSharingRole) Type() protoreflect.EnumType {
	return &file_sip_gsuite_gsuite_proto_enumTypes[1]
}

func (x FileSharingRole) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use FileSharingRole.Descriptor instead.
func (FileSharingRole) EnumDescriptor() ([]byte, []int) {
	return file_sip_gsuite_gsuite_proto_rawDescGZIP(), []int{1}
}

// roles from https://developers.google.com/calendar/api/concepts/sharing
type CalendarSharingRole int32

const (
	CalendarSharingRole_CALENDARROLE_NONE           CalendarSharingRole = 0
	CalendarSharingRole_CALENDARROLE_FREEBUSYREADER CalendarSharingRole = 1
	CalendarSharingRole_CALENDARROLE_READER         CalendarSharingRole = 2
	CalendarSharingRole_CALENDARROLE_WRITER         CalendarSharingRole = 3
	CalendarSharingRole_CALENDARROLE_OWNER          CalendarSharingRole = 4
)

// Enum value maps for CalendarSharingRole.
var (
	CalendarSharingRole_name = map[int32]string{
		0: "CALENDARROLE_NONE",
		1: "CALENDARROLE_FREEBUSYREADER",
		2: "CALENDARROLE_READER",
		3: "CALENDARROLE_WRITER",
		4: "CALENDARROLE_OWNER",
	}
	CalendarSharingRole_value = map[string]int32{
		"CALENDARROLE_NONE":           0,
		"CALENDARROLE_FREEBUSYREADER": 1,
		"CALENDARROLE_READER":         2,
		"CALENDARROLE_WRITER":         3,
		"CALENDARROLE_OWNER":          4,
	}
)

func (x CalendarSharingRole) Enum() *CalendarSharingRole {
	p := new(CalendarSharingRole)
	*p = x
	return p
}

func (x CalendarSharingRole) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (CalendarSharingRole) Descriptor() protoreflect.EnumDescriptor {
	return file_sip_gsuite_gsuite_proto_enumTypes[2].Descriptor()
}

func (CalendarSharingRole) Type() protoreflect.EnumType {
	return &file_sip_gsuite_gsuite_proto_enumTypes[2]
}

func (x CalendarSharingRole) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use CalendarSharingRole.Descriptor instead.
func (CalendarSharingRole) EnumDescriptor() ([]byte, []int) {
	return file_sip_gsuite_gsuite_proto_rawDescGZIP(), []int{2}
}

type FileRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	FileId string `protobuf:"bytes,1,opt,name=file_id,json=fileId,proto3" json:"file_id,omitempty"`
}

func (x *FileRequest) Reset() {
	*x = FileRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_sip_gsuite_gsuite_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *FileRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*FileRequest) ProtoMessage() {}

func (x *FileRequest) ProtoReflect() protoreflect.Message {
	mi := &file_sip_gsuite_gsuite_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use FileRequest.ProtoReflect.Descriptor instead.
func (*FileRequest) Descriptor() ([]byte, []int) {
	return file_sip_gsuite_gsuite_proto_rawDescGZIP(), []int{0}
}

func (x *FileRequest) GetFileId() string {
	if x != nil {
		return x.FileId
	}
	return ""
}

type FileReply struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	FileId string `protobuf:"bytes,1,opt,name=file_id,json=fileId,proto3" json:"file_id,omitempty"`
}

func (x *FileReply) Reset() {
	*x = FileReply{}
	if protoimpl.UnsafeEnabled {
		mi := &file_sip_gsuite_gsuite_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *FileReply) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*FileReply) ProtoMessage() {}

func (x *FileReply) ProtoReflect() protoreflect.Message {
	mi := &file_sip_gsuite_gsuite_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use FileReply.ProtoReflect.Descriptor instead.
func (*FileReply) Descriptor() ([]byte, []int) {
	return file_sip_gsuite_gsuite_proto_rawDescGZIP(), []int{1}
}

func (x *FileReply) GetFileId() string {
	if x != nil {
		return x.FileId
	}
	return ""
}

type UploadFileReply struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	FileId  string `protobuf:"bytes,1,opt,name=file_id,json=fileId,proto3" json:"file_id,omitempty"`
	SheetId string `protobuf:"bytes,2,opt,name=sheet_id,json=sheetId,proto3" json:"sheet_id,omitempty"`
}

func (x *UploadFileReply) Reset() {
	*x = UploadFileReply{}
	if protoimpl.UnsafeEnabled {
		mi := &file_sip_gsuite_gsuite_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UploadFileReply) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UploadFileReply) ProtoMessage() {}

func (x *UploadFileReply) ProtoReflect() protoreflect.Message {
	mi := &file_sip_gsuite_gsuite_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UploadFileReply.ProtoReflect.Descriptor instead.
func (*UploadFileReply) Descriptor() ([]byte, []int) {
	return file_sip_gsuite_gsuite_proto_rawDescGZIP(), []int{2}
}

func (x *UploadFileReply) GetFileId() string {
	if x != nil {
		return x.FileId
	}
	return ""
}

func (x *UploadFileReply) GetSheetId() string {
	if x != nil {
		return x.SheetId
	}
	return ""
}

type DownloadFileReply struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Data []byte `protobuf:"bytes,1,opt,name=data,proto3" json:"data,omitempty"`
}

func (x *DownloadFileReply) Reset() {
	*x = DownloadFileReply{}
	if protoimpl.UnsafeEnabled {
		mi := &file_sip_gsuite_gsuite_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DownloadFileReply) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DownloadFileReply) ProtoMessage() {}

func (x *DownloadFileReply) ProtoReflect() protoreflect.Message {
	mi := &file_sip_gsuite_gsuite_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DownloadFileReply.ProtoReflect.Descriptor instead.
func (*DownloadFileReply) Descriptor() ([]byte, []int) {
	return file_sip_gsuite_gsuite_proto_rawDescGZIP(), []int{3}
}

func (x *DownloadFileReply) GetData() []byte {
	if x != nil {
		return x.Data
	}
	return nil
}

type UploadFileInfo struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ParentFolderId string `protobuf:"bytes,1,opt,name=parent_folder_id,json=parentFolderId,proto3" json:"parent_folder_id,omitempty"`
	Filename       string `protobuf:"bytes,2,opt,name=filename,proto3" json:"filename,omitempty"`
	MimeType       string `protobuf:"bytes,3,opt,name=mime_type,json=mimeType,proto3" json:"mime_type,omitempty"`
}

func (x *UploadFileInfo) Reset() {
	*x = UploadFileInfo{}
	if protoimpl.UnsafeEnabled {
		mi := &file_sip_gsuite_gsuite_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UploadFileInfo) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UploadFileInfo) ProtoMessage() {}

func (x *UploadFileInfo) ProtoReflect() protoreflect.Message {
	mi := &file_sip_gsuite_gsuite_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UploadFileInfo.ProtoReflect.Descriptor instead.
func (*UploadFileInfo) Descriptor() ([]byte, []int) {
	return file_sip_gsuite_gsuite_proto_rawDescGZIP(), []int{4}
}

func (x *UploadFileInfo) GetParentFolderId() string {
	if x != nil {
		return x.ParentFolderId
	}
	return ""
}

func (x *UploadFileInfo) GetFilename() string {
	if x != nil {
		return x.Filename
	}
	return ""
}

func (x *UploadFileInfo) GetMimeType() string {
	if x != nil {
		return x.MimeType
	}
	return ""
}

type UploadFileRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Types that are assignable to UploadData:
	//	*UploadFileRequest_Info
	//	*UploadFileRequest_Data
	UploadData isUploadFileRequest_UploadData `protobuf_oneof:"uploadData"`
}

func (x *UploadFileRequest) Reset() {
	*x = UploadFileRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_sip_gsuite_gsuite_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UploadFileRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UploadFileRequest) ProtoMessage() {}

func (x *UploadFileRequest) ProtoReflect() protoreflect.Message {
	mi := &file_sip_gsuite_gsuite_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UploadFileRequest.ProtoReflect.Descriptor instead.
func (*UploadFileRequest) Descriptor() ([]byte, []int) {
	return file_sip_gsuite_gsuite_proto_rawDescGZIP(), []int{5}
}

func (m *UploadFileRequest) GetUploadData() isUploadFileRequest_UploadData {
	if m != nil {
		return m.UploadData
	}
	return nil
}

func (x *UploadFileRequest) GetInfo() *UploadFileInfo {
	if x, ok := x.GetUploadData().(*UploadFileRequest_Info); ok {
		return x.Info
	}
	return nil
}

func (x *UploadFileRequest) GetData() []byte {
	if x, ok := x.GetUploadData().(*UploadFileRequest_Data); ok {
		return x.Data
	}
	return nil
}

type isUploadFileRequest_UploadData interface {
	isUploadFileRequest_UploadData()
}

type UploadFileRequest_Info struct {
	Info *UploadFileInfo `protobuf:"bytes,1,opt,name=info,proto3,oneof"`
}

type UploadFileRequest_Data struct {
	Data []byte `protobuf:"bytes,2,opt,name=data,proto3,oneof"`
}

func (*UploadFileRequest_Info) isUploadFileRequest_UploadData() {}

func (*UploadFileRequest_Data) isUploadFileRequest_UploadData() {}

type SearchFolderRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	FolderName string `protobuf:"bytes,1,opt,name=folder_name,json=folderName,proto3" json:"folder_name,omitempty"`
	DriveId    string `protobuf:"bytes,2,opt,name=drive_id,json=driveId,proto3" json:"drive_id,omitempty"`
}

func (x *SearchFolderRequest) Reset() {
	*x = SearchFolderRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_sip_gsuite_gsuite_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SearchFolderRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SearchFolderRequest) ProtoMessage() {}

func (x *SearchFolderRequest) ProtoReflect() protoreflect.Message {
	mi := &file_sip_gsuite_gsuite_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SearchFolderRequest.ProtoReflect.Descriptor instead.
func (*SearchFolderRequest) Descriptor() ([]byte, []int) {
	return file_sip_gsuite_gsuite_proto_rawDescGZIP(), []int{6}
}

func (x *SearchFolderRequest) GetFolderName() string {
	if x != nil {
		return x.FolderName
	}
	return ""
}

func (x *SearchFolderRequest) GetDriveId() string {
	if x != nil {
		return x.DriveId
	}
	return ""
}

type SearchFolderReply struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	FolderIds []string `protobuf:"bytes,1,rep,name=folder_ids,json=folderIds,proto3" json:"folder_ids,omitempty"`
}

func (x *SearchFolderReply) Reset() {
	*x = SearchFolderReply{}
	if protoimpl.UnsafeEnabled {
		mi := &file_sip_gsuite_gsuite_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SearchFolderReply) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SearchFolderReply) ProtoMessage() {}

func (x *SearchFolderReply) ProtoReflect() protoreflect.Message {
	mi := &file_sip_gsuite_gsuite_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SearchFolderReply.ProtoReflect.Descriptor instead.
func (*SearchFolderReply) Descriptor() ([]byte, []int) {
	return file_sip_gsuite_gsuite_proto_rawDescGZIP(), []int{7}
}

func (x *SearchFolderReply) GetFolderIds() []string {
	if x != nil {
		return x.FolderIds
	}
	return nil
}

type FolderRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	FolderId string `protobuf:"bytes,1,opt,name=folder_id,json=folderId,proto3" json:"folder_id,omitempty"`
}

func (x *FolderRequest) Reset() {
	*x = FolderRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_sip_gsuite_gsuite_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *FolderRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*FolderRequest) ProtoMessage() {}

func (x *FolderRequest) ProtoReflect() protoreflect.Message {
	mi := &file_sip_gsuite_gsuite_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use FolderRequest.ProtoReflect.Descriptor instead.
func (*FolderRequest) Descriptor() ([]byte, []int) {
	return file_sip_gsuite_gsuite_proto_rawDescGZIP(), []int{8}
}

func (x *FolderRequest) GetFolderId() string {
	if x != nil {
		return x.FolderId
	}
	return ""
}

type CreateFolderRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Foldername     string `protobuf:"bytes,1,opt,name=foldername,proto3" json:"foldername,omitempty"`
	ParentFolderId string `protobuf:"bytes,2,opt,name=parent_folder_id,json=parentFolderId,proto3" json:"parent_folder_id,omitempty"`
}

func (x *CreateFolderRequest) Reset() {
	*x = CreateFolderRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_sip_gsuite_gsuite_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateFolderRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateFolderRequest) ProtoMessage() {}

func (x *CreateFolderRequest) ProtoReflect() protoreflect.Message {
	mi := &file_sip_gsuite_gsuite_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateFolderRequest.ProtoReflect.Descriptor instead.
func (*CreateFolderRequest) Descriptor() ([]byte, []int) {
	return file_sip_gsuite_gsuite_proto_rawDescGZIP(), []int{9}
}

func (x *CreateFolderRequest) GetFoldername() string {
	if x != nil {
		return x.Foldername
	}
	return ""
}

func (x *CreateFolderRequest) GetParentFolderId() string {
	if x != nil {
		return x.ParentFolderId
	}
	return ""
}

type FolderReply struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	FolderId string `protobuf:"bytes,1,opt,name=folder_id,json=folderId,proto3" json:"folder_id,omitempty"`
}

func (x *FolderReply) Reset() {
	*x = FolderReply{}
	if protoimpl.UnsafeEnabled {
		mi := &file_sip_gsuite_gsuite_proto_msgTypes[10]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *FolderReply) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*FolderReply) ProtoMessage() {}

func (x *FolderReply) ProtoReflect() protoreflect.Message {
	mi := &file_sip_gsuite_gsuite_proto_msgTypes[10]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use FolderReply.ProtoReflect.Descriptor instead.
func (*FolderReply) Descriptor() ([]byte, []int) {
	return file_sip_gsuite_gsuite_proto_rawDescGZIP(), []int{10}
}

func (x *FolderReply) GetFolderId() string {
	if x != nil {
		return x.FolderId
	}
	return ""
}

type ShareRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id    string      `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Email string      `protobuf:"bytes,2,opt,name=email,proto3" json:"email,omitempty"`
	Type  SharingType `protobuf:"varint,3,opt,name=type,proto3,enum=sip.gsuite.SharingType" json:"type,omitempty"`
	// Types that are assignable to Role:
	//	*ShareRequest_FileSharingRole
	//	*ShareRequest_CalendarSharingRole
	Role isShareRequest_Role `protobuf_oneof:"role"`
}

func (x *ShareRequest) Reset() {
	*x = ShareRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_sip_gsuite_gsuite_proto_msgTypes[11]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ShareRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ShareRequest) ProtoMessage() {}

func (x *ShareRequest) ProtoReflect() protoreflect.Message {
	mi := &file_sip_gsuite_gsuite_proto_msgTypes[11]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ShareRequest.ProtoReflect.Descriptor instead.
func (*ShareRequest) Descriptor() ([]byte, []int) {
	return file_sip_gsuite_gsuite_proto_rawDescGZIP(), []int{11}
}

func (x *ShareRequest) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *ShareRequest) GetEmail() string {
	if x != nil {
		return x.Email
	}
	return ""
}

func (x *ShareRequest) GetType() SharingType {
	if x != nil {
		return x.Type
	}
	return SharingType_USER
}

func (m *ShareRequest) GetRole() isShareRequest_Role {
	if m != nil {
		return m.Role
	}
	return nil
}

func (x *ShareRequest) GetFileSharingRole() FileSharingRole {
	if x, ok := x.GetRole().(*ShareRequest_FileSharingRole); ok {
		return x.FileSharingRole
	}
	return FileSharingRole_FILEPEROLE_OWNER
}

func (x *ShareRequest) GetCalendarSharingRole() CalendarSharingRole {
	if x, ok := x.GetRole().(*ShareRequest_CalendarSharingRole); ok {
		return x.CalendarSharingRole
	}
	return CalendarSharingRole_CALENDARROLE_NONE
}

type isShareRequest_Role interface {
	isShareRequest_Role()
}

type ShareRequest_FileSharingRole struct {
	FileSharingRole FileSharingRole `protobuf:"varint,4,opt,name=file_sharing_role,json=fileSharingRole,proto3,enum=sip.gsuite.FileSharingRole,oneof"`
}

type ShareRequest_CalendarSharingRole struct {
	CalendarSharingRole CalendarSharingRole `protobuf:"varint,5,opt,name=calendar_sharing_role,json=calendarSharingRole,proto3,enum=sip.gsuite.CalendarSharingRole,oneof"`
}

func (*ShareRequest_FileSharingRole) isShareRequest_Role() {}

func (*ShareRequest_CalendarSharingRole) isShareRequest_Role() {}

type ShareFileWithAnyoneRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	FileId string `protobuf:"bytes,1,opt,name=file_id,json=fileId,proto3" json:"file_id,omitempty"`
	Role   string `protobuf:"bytes,2,opt,name=role,proto3" json:"role,omitempty"`
}

func (x *ShareFileWithAnyoneRequest) Reset() {
	*x = ShareFileWithAnyoneRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_sip_gsuite_gsuite_proto_msgTypes[12]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ShareFileWithAnyoneRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ShareFileWithAnyoneRequest) ProtoMessage() {}

func (x *ShareFileWithAnyoneRequest) ProtoReflect() protoreflect.Message {
	mi := &file_sip_gsuite_gsuite_proto_msgTypes[12]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ShareFileWithAnyoneRequest.ProtoReflect.Descriptor instead.
func (*ShareFileWithAnyoneRequest) Descriptor() ([]byte, []int) {
	return file_sip_gsuite_gsuite_proto_rawDescGZIP(), []int{12}
}

func (x *ShareFileWithAnyoneRequest) GetFileId() string {
	if x != nil {
		return x.FileId
	}
	return ""
}

func (x *ShareFileWithAnyoneRequest) GetRole() string {
	if x != nil {
		return x.Role
	}
	return ""
}

type FileLinkReply struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Link string `protobuf:"bytes,1,opt,name=link,proto3" json:"link,omitempty"`
}

func (x *FileLinkReply) Reset() {
	*x = FileLinkReply{}
	if protoimpl.UnsafeEnabled {
		mi := &file_sip_gsuite_gsuite_proto_msgTypes[13]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *FileLinkReply) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*FileLinkReply) ProtoMessage() {}

func (x *FileLinkReply) ProtoReflect() protoreflect.Message {
	mi := &file_sip_gsuite_gsuite_proto_msgTypes[13]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use FileLinkReply.ProtoReflect.Descriptor instead.
func (*FileLinkReply) Descriptor() ([]byte, []int) {
	return file_sip_gsuite_gsuite_proto_rawDescGZIP(), []int{13}
}

func (x *FileLinkReply) GetLink() string {
	if x != nil {
		return x.Link
	}
	return ""
}

type CopyFileRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	FileId             string `protobuf:"bytes,1,opt,name=file_id,json=fileId,proto3" json:"file_id,omitempty"`
	CopyFilename       string `protobuf:"bytes,2,opt,name=copy_filename,json=copyFilename,proto3" json:"copy_filename,omitempty"`
	CopyParentFolderId string `protobuf:"bytes,3,opt,name=copy_parent_folder_id,json=copyParentFolderId,proto3" json:"copy_parent_folder_id,omitempty"`
}

func (x *CopyFileRequest) Reset() {
	*x = CopyFileRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_sip_gsuite_gsuite_proto_msgTypes[14]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CopyFileRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CopyFileRequest) ProtoMessage() {}

func (x *CopyFileRequest) ProtoReflect() protoreflect.Message {
	mi := &file_sip_gsuite_gsuite_proto_msgTypes[14]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CopyFileRequest.ProtoReflect.Descriptor instead.
func (*CopyFileRequest) Descriptor() ([]byte, []int) {
	return file_sip_gsuite_gsuite_proto_rawDescGZIP(), []int{14}
}

func (x *CopyFileRequest) GetFileId() string {
	if x != nil {
		return x.FileId
	}
	return ""
}

func (x *CopyFileRequest) GetCopyFilename() string {
	if x != nil {
		return x.CopyFilename
	}
	return ""
}

func (x *CopyFileRequest) GetCopyParentFolderId() string {
	if x != nil {
		return x.CopyParentFolderId
	}
	return ""
}

type GenerateRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	FileId            string                         `protobuf:"bytes,1,opt,name=file_id,json=fileId,proto3" json:"file_id,omitempty"`
	NewFilename       string                         `protobuf:"bytes,2,opt,name=new_filename,json=newFilename,proto3" json:"new_filename,omitempty"`
	NewParentFolderId string                         `protobuf:"bytes,3,opt,name=new_parent_folder_id,json=newParentFolderId,proto3" json:"new_parent_folder_id,omitempty"`
	Replace           []*GenerateRequest_ReplaceText `protobuf:"bytes,4,rep,name=replace,proto3" json:"replace,omitempty"`
}

func (x *GenerateRequest) Reset() {
	*x = GenerateRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_sip_gsuite_gsuite_proto_msgTypes[15]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GenerateRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GenerateRequest) ProtoMessage() {}

func (x *GenerateRequest) ProtoReflect() protoreflect.Message {
	mi := &file_sip_gsuite_gsuite_proto_msgTypes[15]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GenerateRequest.ProtoReflect.Descriptor instead.
func (*GenerateRequest) Descriptor() ([]byte, []int) {
	return file_sip_gsuite_gsuite_proto_rawDescGZIP(), []int{15}
}

func (x *GenerateRequest) GetFileId() string {
	if x != nil {
		return x.FileId
	}
	return ""
}

func (x *GenerateRequest) GetNewFilename() string {
	if x != nil {
		return x.NewFilename
	}
	return ""
}

func (x *GenerateRequest) GetNewParentFolderId() string {
	if x != nil {
		return x.NewParentFolderId
	}
	return ""
}

func (x *GenerateRequest) GetReplace() []*GenerateRequest_ReplaceText {
	if x != nil {
		return x.Replace
	}
	return nil
}

type InsertRowRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	FileId      string                                  `protobuf:"bytes,1,opt,name=file_id,json=fileId,proto3" json:"file_id,omitempty"`
	SheetId     int32                                   `protobuf:"varint,2,opt,name=sheet_id,json=sheetId,proto3" json:"sheet_id,omitempty"`
	HeaderRange string                                  `protobuf:"bytes,3,opt,name=header_range,json=headerRange,proto3" json:"header_range,omitempty"`
	InsertPairs []*InsertRowRequest_HeaderValueTypePair `protobuf:"bytes,4,rep,name=insert_pairs,json=insertPairs,proto3" json:"insert_pairs,omitempty"`
}

func (x *InsertRowRequest) Reset() {
	*x = InsertRowRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_sip_gsuite_gsuite_proto_msgTypes[16]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *InsertRowRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*InsertRowRequest) ProtoMessage() {}

func (x *InsertRowRequest) ProtoReflect() protoreflect.Message {
	mi := &file_sip_gsuite_gsuite_proto_msgTypes[16]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use InsertRowRequest.ProtoReflect.Descriptor instead.
func (*InsertRowRequest) Descriptor() ([]byte, []int) {
	return file_sip_gsuite_gsuite_proto_rawDescGZIP(), []int{16}
}

func (x *InsertRowRequest) GetFileId() string {
	if x != nil {
		return x.FileId
	}
	return ""
}

func (x *InsertRowRequest) GetSheetId() int32 {
	if x != nil {
		return x.SheetId
	}
	return 0
}

func (x *InsertRowRequest) GetHeaderRange() string {
	if x != nil {
		return x.HeaderRange
	}
	return ""
}

func (x *InsertRowRequest) GetInsertPairs() []*InsertRowRequest_HeaderValueTypePair {
	if x != nil {
		return x.InsertPairs
	}
	return nil
}

type CalendarRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	CalId string `protobuf:"bytes,1,opt,name=cal_id,json=calId,proto3" json:"cal_id,omitempty"`
}

func (x *CalendarRequest) Reset() {
	*x = CalendarRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_sip_gsuite_gsuite_proto_msgTypes[17]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CalendarRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CalendarRequest) ProtoMessage() {}

func (x *CalendarRequest) ProtoReflect() protoreflect.Message {
	mi := &file_sip_gsuite_gsuite_proto_msgTypes[17]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CalendarRequest.ProtoReflect.Descriptor instead.
func (*CalendarRequest) Descriptor() ([]byte, []int) {
	return file_sip_gsuite_gsuite_proto_rawDescGZIP(), []int{17}
}

func (x *CalendarRequest) GetCalId() string {
	if x != nil {
		return x.CalId
	}
	return ""
}

type AccessControlRule struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Type  SharingType         `protobuf:"varint,1,opt,name=type,proto3,enum=sip.gsuite.SharingType" json:"type,omitempty"`
	Value string              `protobuf:"bytes,2,opt,name=value,proto3" json:"value,omitempty"`
	Role  CalendarSharingRole `protobuf:"varint,3,opt,name=role,proto3,enum=sip.gsuite.CalendarSharingRole" json:"role,omitempty"`
}

func (x *AccessControlRule) Reset() {
	*x = AccessControlRule{}
	if protoimpl.UnsafeEnabled {
		mi := &file_sip_gsuite_gsuite_proto_msgTypes[18]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *AccessControlRule) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AccessControlRule) ProtoMessage() {}

func (x *AccessControlRule) ProtoReflect() protoreflect.Message {
	mi := &file_sip_gsuite_gsuite_proto_msgTypes[18]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AccessControlRule.ProtoReflect.Descriptor instead.
func (*AccessControlRule) Descriptor() ([]byte, []int) {
	return file_sip_gsuite_gsuite_proto_rawDescGZIP(), []int{18}
}

func (x *AccessControlRule) GetType() SharingType {
	if x != nil {
		return x.Type
	}
	return SharingType_USER
}

func (x *AccessControlRule) GetValue() string {
	if x != nil {
		return x.Value
	}
	return ""
}

func (x *AccessControlRule) GetRole() CalendarSharingRole {
	if x != nil {
		return x.Role
	}
	return CalendarSharingRole_CALENDARROLE_NONE
}

type Calendar struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	CalId          string               `protobuf:"bytes,1,opt,name=cal_id,json=calId,proto3" json:"cal_id,omitempty"`
	CalTitle       string               `protobuf:"bytes,2,opt,name=cal_title,json=calTitle,proto3" json:"cal_title,omitempty"`
	CalDescription string               `protobuf:"bytes,3,opt,name=cal_description,json=calDescription,proto3" json:"cal_description,omitempty"`
	Acls           []*AccessControlRule `protobuf:"bytes,4,rep,name=acls,proto3" json:"acls,omitempty"`
}

func (x *Calendar) Reset() {
	*x = Calendar{}
	if protoimpl.UnsafeEnabled {
		mi := &file_sip_gsuite_gsuite_proto_msgTypes[19]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Calendar) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Calendar) ProtoMessage() {}

func (x *Calendar) ProtoReflect() protoreflect.Message {
	mi := &file_sip_gsuite_gsuite_proto_msgTypes[19]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Calendar.ProtoReflect.Descriptor instead.
func (*Calendar) Descriptor() ([]byte, []int) {
	return file_sip_gsuite_gsuite_proto_rawDescGZIP(), []int{19}
}

func (x *Calendar) GetCalId() string {
	if x != nil {
		return x.CalId
	}
	return ""
}

func (x *Calendar) GetCalTitle() string {
	if x != nil {
		return x.CalTitle
	}
	return ""
}

func (x *Calendar) GetCalDescription() string {
	if x != nil {
		return x.CalDescription
	}
	return ""
}

func (x *Calendar) GetAcls() []*AccessControlRule {
	if x != nil {
		return x.Acls
	}
	return nil
}

type ListCalendarsResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Cals []*Calendar `protobuf:"bytes,1,rep,name=cals,proto3" json:"cals,omitempty"`
}

func (x *ListCalendarsResponse) Reset() {
	*x = ListCalendarsResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_sip_gsuite_gsuite_proto_msgTypes[20]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListCalendarsResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListCalendarsResponse) ProtoMessage() {}

func (x *ListCalendarsResponse) ProtoReflect() protoreflect.Message {
	mi := &file_sip_gsuite_gsuite_proto_msgTypes[20]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListCalendarsResponse.ProtoReflect.Descriptor instead.
func (*ListCalendarsResponse) Descriptor() ([]byte, []int) {
	return file_sip_gsuite_gsuite_proto_rawDescGZIP(), []int{20}
}

func (x *ListCalendarsResponse) GetCals() []*Calendar {
	if x != nil {
		return x.Cals
	}
	return nil
}

type CreateCalendarRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	CalTitle       string `protobuf:"bytes,1,opt,name=cal_title,json=calTitle,proto3" json:"cal_title,omitempty"`
	CalDescription string `protobuf:"bytes,2,opt,name=cal_description,json=calDescription,proto3" json:"cal_description,omitempty"`
}

func (x *CreateCalendarRequest) Reset() {
	*x = CreateCalendarRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_sip_gsuite_gsuite_proto_msgTypes[21]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateCalendarRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateCalendarRequest) ProtoMessage() {}

func (x *CreateCalendarRequest) ProtoReflect() protoreflect.Message {
	mi := &file_sip_gsuite_gsuite_proto_msgTypes[21]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateCalendarRequest.ProtoReflect.Descriptor instead.
func (*CreateCalendarRequest) Descriptor() ([]byte, []int) {
	return file_sip_gsuite_gsuite_proto_rawDescGZIP(), []int{21}
}

func (x *CreateCalendarRequest) GetCalTitle() string {
	if x != nil {
		return x.CalTitle
	}
	return ""
}

func (x *CreateCalendarRequest) GetCalDescription() string {
	if x != nil {
		return x.CalDescription
	}
	return ""
}

type CreateEventRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	CalId            string                 `protobuf:"bytes,1,opt,name=cal_id,json=calId,proto3" json:"cal_id,omitempty"`
	EventTitle       string                 `protobuf:"bytes,2,opt,name=event_title,json=eventTitle,proto3" json:"event_title,omitempty"`
	EventDescription string                 `protobuf:"bytes,3,opt,name=event_description,json=eventDescription,proto3" json:"event_description,omitempty"`
	EventStart       *timestamppb.Timestamp `protobuf:"bytes,4,opt,name=event_start,json=eventStart,proto3" json:"event_start,omitempty"`
	EventEnd         *timestamppb.Timestamp `protobuf:"bytes,5,opt,name=event_end,json=eventEnd,proto3" json:"event_end,omitempty"`
}

func (x *CreateEventRequest) Reset() {
	*x = CreateEventRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_sip_gsuite_gsuite_proto_msgTypes[22]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateEventRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateEventRequest) ProtoMessage() {}

func (x *CreateEventRequest) ProtoReflect() protoreflect.Message {
	mi := &file_sip_gsuite_gsuite_proto_msgTypes[22]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateEventRequest.ProtoReflect.Descriptor instead.
func (*CreateEventRequest) Descriptor() ([]byte, []int) {
	return file_sip_gsuite_gsuite_proto_rawDescGZIP(), []int{22}
}

func (x *CreateEventRequest) GetCalId() string {
	if x != nil {
		return x.CalId
	}
	return ""
}

func (x *CreateEventRequest) GetEventTitle() string {
	if x != nil {
		return x.EventTitle
	}
	return ""
}

func (x *CreateEventRequest) GetEventDescription() string {
	if x != nil {
		return x.EventDescription
	}
	return ""
}

func (x *CreateEventRequest) GetEventStart() *timestamppb.Timestamp {
	if x != nil {
		return x.EventStart
	}
	return nil
}

func (x *CreateEventRequest) GetEventEnd() *timestamppb.Timestamp {
	if x != nil {
		return x.EventEnd
	}
	return nil
}

type EventRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	CalId   string `protobuf:"bytes,1,opt,name=cal_id,json=calId,proto3" json:"cal_id,omitempty"`
	EventId string `protobuf:"bytes,2,opt,name=event_id,json=eventId,proto3" json:"event_id,omitempty"`
}

func (x *EventRequest) Reset() {
	*x = EventRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_sip_gsuite_gsuite_proto_msgTypes[23]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *EventRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*EventRequest) ProtoMessage() {}

func (x *EventRequest) ProtoReflect() protoreflect.Message {
	mi := &file_sip_gsuite_gsuite_proto_msgTypes[23]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use EventRequest.ProtoReflect.Descriptor instead.
func (*EventRequest) Descriptor() ([]byte, []int) {
	return file_sip_gsuite_gsuite_proto_rawDescGZIP(), []int{23}
}

func (x *EventRequest) GetCalId() string {
	if x != nil {
		return x.CalId
	}
	return ""
}

func (x *EventRequest) GetEventId() string {
	if x != nil {
		return x.EventId
	}
	return ""
}

type Event struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	CalId            string                 `protobuf:"bytes,1,opt,name=cal_id,json=calId,proto3" json:"cal_id,omitempty"`
	EventId          string                 `protobuf:"bytes,2,opt,name=event_id,json=eventId,proto3" json:"event_id,omitempty"`
	EventTitle       string                 `protobuf:"bytes,3,opt,name=event_title,json=eventTitle,proto3" json:"event_title,omitempty"`
	EventDescription string                 `protobuf:"bytes,4,opt,name=event_description,json=eventDescription,proto3" json:"event_description,omitempty"`
	EventStart       *timestamppb.Timestamp `protobuf:"bytes,5,opt,name=event_start,json=eventStart,proto3" json:"event_start,omitempty"`
	EventEnd         *timestamppb.Timestamp `protobuf:"bytes,6,opt,name=event_end,json=eventEnd,proto3" json:"event_end,omitempty"`
}

func (x *Event) Reset() {
	*x = Event{}
	if protoimpl.UnsafeEnabled {
		mi := &file_sip_gsuite_gsuite_proto_msgTypes[24]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Event) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Event) ProtoMessage() {}

func (x *Event) ProtoReflect() protoreflect.Message {
	mi := &file_sip_gsuite_gsuite_proto_msgTypes[24]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Event.ProtoReflect.Descriptor instead.
func (*Event) Descriptor() ([]byte, []int) {
	return file_sip_gsuite_gsuite_proto_rawDescGZIP(), []int{24}
}

func (x *Event) GetCalId() string {
	if x != nil {
		return x.CalId
	}
	return ""
}

func (x *Event) GetEventId() string {
	if x != nil {
		return x.EventId
	}
	return ""
}

func (x *Event) GetEventTitle() string {
	if x != nil {
		return x.EventTitle
	}
	return ""
}

func (x *Event) GetEventDescription() string {
	if x != nil {
		return x.EventDescription
	}
	return ""
}

func (x *Event) GetEventStart() *timestamppb.Timestamp {
	if x != nil {
		return x.EventStart
	}
	return nil
}

func (x *Event) GetEventEnd() *timestamppb.Timestamp {
	if x != nil {
		return x.EventEnd
	}
	return nil
}

type UpdateEventRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	CalId            string                 `protobuf:"bytes,1,opt,name=cal_id,json=calId,proto3" json:"cal_id,omitempty"`
	EventId          string                 `protobuf:"bytes,2,opt,name=event_id,json=eventId,proto3" json:"event_id,omitempty"`
	EventTitle       string                 `protobuf:"bytes,3,opt,name=event_title,json=eventTitle,proto3" json:"event_title,omitempty"`
	EventDescription string                 `protobuf:"bytes,4,opt,name=event_description,json=eventDescription,proto3" json:"event_description,omitempty"`
	EventStart       *timestamppb.Timestamp `protobuf:"bytes,5,opt,name=event_start,json=eventStart,proto3" json:"event_start,omitempty"`
	EventEnd         *timestamppb.Timestamp `protobuf:"bytes,6,opt,name=event_end,json=eventEnd,proto3" json:"event_end,omitempty"`
}

func (x *UpdateEventRequest) Reset() {
	*x = UpdateEventRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_sip_gsuite_gsuite_proto_msgTypes[25]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UpdateEventRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UpdateEventRequest) ProtoMessage() {}

func (x *UpdateEventRequest) ProtoReflect() protoreflect.Message {
	mi := &file_sip_gsuite_gsuite_proto_msgTypes[25]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UpdateEventRequest.ProtoReflect.Descriptor instead.
func (*UpdateEventRequest) Descriptor() ([]byte, []int) {
	return file_sip_gsuite_gsuite_proto_rawDescGZIP(), []int{25}
}

func (x *UpdateEventRequest) GetCalId() string {
	if x != nil {
		return x.CalId
	}
	return ""
}

func (x *UpdateEventRequest) GetEventId() string {
	if x != nil {
		return x.EventId
	}
	return ""
}

func (x *UpdateEventRequest) GetEventTitle() string {
	if x != nil {
		return x.EventTitle
	}
	return ""
}

func (x *UpdateEventRequest) GetEventDescription() string {
	if x != nil {
		return x.EventDescription
	}
	return ""
}

func (x *UpdateEventRequest) GetEventStart() *timestamppb.Timestamp {
	if x != nil {
		return x.EventStart
	}
	return nil
}

func (x *UpdateEventRequest) GetEventEnd() *timestamppb.Timestamp {
	if x != nil {
		return x.EventEnd
	}
	return nil
}

type GenerateRequest_ReplaceText struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Before string `protobuf:"bytes,1,opt,name=before,proto3" json:"before,omitempty"`
	After  string `protobuf:"bytes,2,opt,name=after,proto3" json:"after,omitempty"`
}

func (x *GenerateRequest_ReplaceText) Reset() {
	*x = GenerateRequest_ReplaceText{}
	if protoimpl.UnsafeEnabled {
		mi := &file_sip_gsuite_gsuite_proto_msgTypes[26]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GenerateRequest_ReplaceText) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GenerateRequest_ReplaceText) ProtoMessage() {}

func (x *GenerateRequest_ReplaceText) ProtoReflect() protoreflect.Message {
	mi := &file_sip_gsuite_gsuite_proto_msgTypes[26]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GenerateRequest_ReplaceText.ProtoReflect.Descriptor instead.
func (*GenerateRequest_ReplaceText) Descriptor() ([]byte, []int) {
	return file_sip_gsuite_gsuite_proto_rawDescGZIP(), []int{15, 0}
}

func (x *GenerateRequest_ReplaceText) GetBefore() string {
	if x != nil {
		return x.Before
	}
	return ""
}

func (x *GenerateRequest_ReplaceText) GetAfter() string {
	if x != nil {
		return x.After
	}
	return ""
}

type InsertRowRequest_HeaderValueTypePair struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Header    string `protobuf:"bytes,1,opt,name=header,proto3" json:"header,omitempty"`
	Value     string `protobuf:"bytes,2,opt,name=value,proto3" json:"value,omitempty"`
	ValueType string `protobuf:"bytes,3,opt,name=value_type,json=valueType,proto3" json:"value_type,omitempty"`
}

func (x *InsertRowRequest_HeaderValueTypePair) Reset() {
	*x = InsertRowRequest_HeaderValueTypePair{}
	if protoimpl.UnsafeEnabled {
		mi := &file_sip_gsuite_gsuite_proto_msgTypes[27]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *InsertRowRequest_HeaderValueTypePair) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*InsertRowRequest_HeaderValueTypePair) ProtoMessage() {}

func (x *InsertRowRequest_HeaderValueTypePair) ProtoReflect() protoreflect.Message {
	mi := &file_sip_gsuite_gsuite_proto_msgTypes[27]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use InsertRowRequest_HeaderValueTypePair.ProtoReflect.Descriptor instead.
func (*InsertRowRequest_HeaderValueTypePair) Descriptor() ([]byte, []int) {
	return file_sip_gsuite_gsuite_proto_rawDescGZIP(), []int{16, 0}
}

func (x *InsertRowRequest_HeaderValueTypePair) GetHeader() string {
	if x != nil {
		return x.Header
	}
	return ""
}

func (x *InsertRowRequest_HeaderValueTypePair) GetValue() string {
	if x != nil {
		return x.Value
	}
	return ""
}

func (x *InsertRowRequest_HeaderValueTypePair) GetValueType() string {
	if x != nil {
		return x.ValueType
	}
	return ""
}

var File_sip_gsuite_gsuite_proto protoreflect.FileDescriptor

var file_sip_gsuite_gsuite_proto_rawDesc = []byte{
	0x0a, 0x17, 0x73, 0x69, 0x70, 0x2f, 0x67, 0x73, 0x75, 0x69, 0x74, 0x65, 0x2f, 0x67, 0x73, 0x75,
	0x69, 0x74, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x0a, 0x73, 0x69, 0x70, 0x2e, 0x67,
	0x73, 0x75, 0x69, 0x74, 0x65, 0x1a, 0x1b, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x65, 0x6d, 0x70, 0x74, 0x79, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x1a, 0x1f, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x62, 0x75, 0x66, 0x2f, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x22, 0x26, 0x0a, 0x0b, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x12, 0x17, 0x0a, 0x07, 0x66, 0x69, 0x6c, 0x65, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x06, 0x66, 0x69, 0x6c, 0x65, 0x49, 0x64, 0x22, 0x24, 0x0a, 0x09, 0x46,
	0x69, 0x6c, 0x65, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x12, 0x17, 0x0a, 0x07, 0x66, 0x69, 0x6c, 0x65,
	0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x66, 0x69, 0x6c, 0x65, 0x49,
	0x64, 0x22, 0x45, 0x0a, 0x0f, 0x55, 0x70, 0x6c, 0x6f, 0x61, 0x64, 0x46, 0x69, 0x6c, 0x65, 0x52,
	0x65, 0x70, 0x6c, 0x79, 0x12, 0x17, 0x0a, 0x07, 0x66, 0x69, 0x6c, 0x65, 0x5f, 0x69, 0x64, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x66, 0x69, 0x6c, 0x65, 0x49, 0x64, 0x12, 0x19, 0x0a,
	0x08, 0x73, 0x68, 0x65, 0x65, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x07, 0x73, 0x68, 0x65, 0x65, 0x74, 0x49, 0x64, 0x22, 0x27, 0x0a, 0x11, 0x44, 0x6f, 0x77, 0x6e,
	0x6c, 0x6f, 0x61, 0x64, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x12, 0x12, 0x0a,
	0x04, 0x64, 0x61, 0x74, 0x61, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x04, 0x64, 0x61, 0x74,
	0x61, 0x22, 0x73, 0x0a, 0x0e, 0x55, 0x70, 0x6c, 0x6f, 0x61, 0x64, 0x46, 0x69, 0x6c, 0x65, 0x49,
	0x6e, 0x66, 0x6f, 0x12, 0x28, 0x0a, 0x10, 0x70, 0x61, 0x72, 0x65, 0x6e, 0x74, 0x5f, 0x66, 0x6f,
	0x6c, 0x64, 0x65, 0x72, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0e, 0x70,
	0x61, 0x72, 0x65, 0x6e, 0x74, 0x46, 0x6f, 0x6c, 0x64, 0x65, 0x72, 0x49, 0x64, 0x12, 0x1a, 0x0a,
	0x08, 0x66, 0x69, 0x6c, 0x65, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x08, 0x66, 0x69, 0x6c, 0x65, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x1b, 0x0a, 0x09, 0x6d, 0x69, 0x6d,
	0x65, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x6d, 0x69,
	0x6d, 0x65, 0x54, 0x79, 0x70, 0x65, 0x22, 0x69, 0x0a, 0x11, 0x55, 0x70, 0x6c, 0x6f, 0x61, 0x64,
	0x46, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x30, 0x0a, 0x04, 0x69,
	0x6e, 0x66, 0x6f, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x73, 0x69, 0x70, 0x2e,
	0x67, 0x73, 0x75, 0x69, 0x74, 0x65, 0x2e, 0x55, 0x70, 0x6c, 0x6f, 0x61, 0x64, 0x46, 0x69, 0x6c,
	0x65, 0x49, 0x6e, 0x66, 0x6f, 0x48, 0x00, 0x52, 0x04, 0x69, 0x6e, 0x66, 0x6f, 0x12, 0x14, 0x0a,
	0x04, 0x64, 0x61, 0x74, 0x61, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0c, 0x48, 0x00, 0x52, 0x04, 0x64,
	0x61, 0x74, 0x61, 0x42, 0x0c, 0x0a, 0x0a, 0x75, 0x70, 0x6c, 0x6f, 0x61, 0x64, 0x44, 0x61, 0x74,
	0x61, 0x22, 0x51, 0x0a, 0x13, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x46, 0x6f, 0x6c, 0x64, 0x65,
	0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x1f, 0x0a, 0x0b, 0x66, 0x6f, 0x6c, 0x64,
	0x65, 0x72, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x66,
	0x6f, 0x6c, 0x64, 0x65, 0x72, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x19, 0x0a, 0x08, 0x64, 0x72, 0x69,
	0x76, 0x65, 0x5f, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x64, 0x72, 0x69,
	0x76, 0x65, 0x49, 0x64, 0x22, 0x32, 0x0a, 0x11, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x46, 0x6f,
	0x6c, 0x64, 0x65, 0x72, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x12, 0x1d, 0x0a, 0x0a, 0x66, 0x6f, 0x6c,
	0x64, 0x65, 0x72, 0x5f, 0x69, 0x64, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x09, 0x52, 0x09, 0x66,
	0x6f, 0x6c, 0x64, 0x65, 0x72, 0x49, 0x64, 0x73, 0x22, 0x2c, 0x0a, 0x0d, 0x46, 0x6f, 0x6c, 0x64,
	0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x1b, 0x0a, 0x09, 0x66, 0x6f, 0x6c,
	0x64, 0x65, 0x72, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x66, 0x6f,
	0x6c, 0x64, 0x65, 0x72, 0x49, 0x64, 0x22, 0x5f, 0x0a, 0x13, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65,
	0x46, 0x6f, 0x6c, 0x64, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x1e, 0x0a,
	0x0a, 0x66, 0x6f, 0x6c, 0x64, 0x65, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x0a, 0x66, 0x6f, 0x6c, 0x64, 0x65, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x28, 0x0a,
	0x10, 0x70, 0x61, 0x72, 0x65, 0x6e, 0x74, 0x5f, 0x66, 0x6f, 0x6c, 0x64, 0x65, 0x72, 0x5f, 0x69,
	0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0e, 0x70, 0x61, 0x72, 0x65, 0x6e, 0x74, 0x46,
	0x6f, 0x6c, 0x64, 0x65, 0x72, 0x49, 0x64, 0x22, 0x2a, 0x0a, 0x0b, 0x46, 0x6f, 0x6c, 0x64, 0x65,
	0x72, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x12, 0x1b, 0x0a, 0x09, 0x66, 0x6f, 0x6c, 0x64, 0x65, 0x72,
	0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x66, 0x6f, 0x6c, 0x64, 0x65,
	0x72, 0x49, 0x64, 0x22, 0x8b, 0x02, 0x0a, 0x0c, 0x53, 0x68, 0x61, 0x72, 0x65, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x02, 0x69, 0x64, 0x12, 0x14, 0x0a, 0x05, 0x65, 0x6d, 0x61, 0x69, 0x6c, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x05, 0x65, 0x6d, 0x61, 0x69, 0x6c, 0x12, 0x2b, 0x0a, 0x04, 0x74, 0x79,
	0x70, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x17, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x67,
	0x73, 0x75, 0x69, 0x74, 0x65, 0x2e, 0x53, 0x68, 0x61, 0x72, 0x69, 0x6e, 0x67, 0x54, 0x79, 0x70,
	0x65, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x49, 0x0a, 0x11, 0x66, 0x69, 0x6c, 0x65, 0x5f,
	0x73, 0x68, 0x61, 0x72, 0x69, 0x6e, 0x67, 0x5f, 0x72, 0x6f, 0x6c, 0x65, 0x18, 0x04, 0x20, 0x01,
	0x28, 0x0e, 0x32, 0x1b, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x67, 0x73, 0x75, 0x69, 0x74, 0x65, 0x2e,
	0x46, 0x69, 0x6c, 0x65, 0x53, 0x68, 0x61, 0x72, 0x69, 0x6e, 0x67, 0x52, 0x6f, 0x6c, 0x65, 0x48,
	0x00, 0x52, 0x0f, 0x66, 0x69, 0x6c, 0x65, 0x53, 0x68, 0x61, 0x72, 0x69, 0x6e, 0x67, 0x52, 0x6f,
	0x6c, 0x65, 0x12, 0x55, 0x0a, 0x15, 0x63, 0x61, 0x6c, 0x65, 0x6e, 0x64, 0x61, 0x72, 0x5f, 0x73,
	0x68, 0x61, 0x72, 0x69, 0x6e, 0x67, 0x5f, 0x72, 0x6f, 0x6c, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28,
	0x0e, 0x32, 0x1f, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x67, 0x73, 0x75, 0x69, 0x74, 0x65, 0x2e, 0x43,
	0x61, 0x6c, 0x65, 0x6e, 0x64, 0x61, 0x72, 0x53, 0x68, 0x61, 0x72, 0x69, 0x6e, 0x67, 0x52, 0x6f,
	0x6c, 0x65, 0x48, 0x00, 0x52, 0x13, 0x63, 0x61, 0x6c, 0x65, 0x6e, 0x64, 0x61, 0x72, 0x53, 0x68,
	0x61, 0x72, 0x69, 0x6e, 0x67, 0x52, 0x6f, 0x6c, 0x65, 0x42, 0x06, 0x0a, 0x04, 0x72, 0x6f, 0x6c,
	0x65, 0x22, 0x49, 0x0a, 0x1a, 0x53, 0x68, 0x61, 0x72, 0x65, 0x46, 0x69, 0x6c, 0x65, 0x57, 0x69,
	0x74, 0x68, 0x41, 0x6e, 0x79, 0x6f, 0x6e, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12,
	0x17, 0x0a, 0x07, 0x66, 0x69, 0x6c, 0x65, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x06, 0x66, 0x69, 0x6c, 0x65, 0x49, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x72, 0x6f, 0x6c, 0x65,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x72, 0x6f, 0x6c, 0x65, 0x22, 0x23, 0x0a, 0x0d,
	0x46, 0x69, 0x6c, 0x65, 0x4c, 0x69, 0x6e, 0x6b, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x12, 0x12, 0x0a,
	0x04, 0x6c, 0x69, 0x6e, 0x6b, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6c, 0x69, 0x6e,
	0x6b, 0x22, 0x82, 0x01, 0x0a, 0x0f, 0x43, 0x6f, 0x70, 0x79, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x17, 0x0a, 0x07, 0x66, 0x69, 0x6c, 0x65, 0x5f, 0x69, 0x64,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x66, 0x69, 0x6c, 0x65, 0x49, 0x64, 0x12, 0x23,
	0x0a, 0x0d, 0x63, 0x6f, 0x70, 0x79, 0x5f, 0x66, 0x69, 0x6c, 0x65, 0x6e, 0x61, 0x6d, 0x65, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0c, 0x63, 0x6f, 0x70, 0x79, 0x46, 0x69, 0x6c, 0x65, 0x6e,
	0x61, 0x6d, 0x65, 0x12, 0x31, 0x0a, 0x15, 0x63, 0x6f, 0x70, 0x79, 0x5f, 0x70, 0x61, 0x72, 0x65,
	0x6e, 0x74, 0x5f, 0x66, 0x6f, 0x6c, 0x64, 0x65, 0x72, 0x5f, 0x69, 0x64, 0x18, 0x03, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x12, 0x63, 0x6f, 0x70, 0x79, 0x50, 0x61, 0x72, 0x65, 0x6e, 0x74, 0x46, 0x6f,
	0x6c, 0x64, 0x65, 0x72, 0x49, 0x64, 0x22, 0xfe, 0x01, 0x0a, 0x0f, 0x47, 0x65, 0x6e, 0x65, 0x72,
	0x61, 0x74, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x17, 0x0a, 0x07, 0x66, 0x69,
	0x6c, 0x65, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x66, 0x69, 0x6c,
	0x65, 0x49, 0x64, 0x12, 0x21, 0x0a, 0x0c, 0x6e, 0x65, 0x77, 0x5f, 0x66, 0x69, 0x6c, 0x65, 0x6e,
	0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x6e, 0x65, 0x77, 0x46, 0x69,
	0x6c, 0x65, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x2f, 0x0a, 0x14, 0x6e, 0x65, 0x77, 0x5f, 0x70, 0x61,
	0x72, 0x65, 0x6e, 0x74, 0x5f, 0x66, 0x6f, 0x6c, 0x64, 0x65, 0x72, 0x5f, 0x69, 0x64, 0x18, 0x03,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x11, 0x6e, 0x65, 0x77, 0x50, 0x61, 0x72, 0x65, 0x6e, 0x74, 0x46,
	0x6f, 0x6c, 0x64, 0x65, 0x72, 0x49, 0x64, 0x12, 0x41, 0x0a, 0x07, 0x72, 0x65, 0x70, 0x6c, 0x61,
	0x63, 0x65, 0x18, 0x04, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x27, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x67,
	0x73, 0x75, 0x69, 0x74, 0x65, 0x2e, 0x47, 0x65, 0x6e, 0x65, 0x72, 0x61, 0x74, 0x65, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x2e, 0x52, 0x65, 0x70, 0x6c, 0x61, 0x63, 0x65, 0x54, 0x65, 0x78,
	0x74, 0x52, 0x07, 0x72, 0x65, 0x70, 0x6c, 0x61, 0x63, 0x65, 0x1a, 0x3b, 0x0a, 0x0b, 0x52, 0x65,
	0x70, 0x6c, 0x61, 0x63, 0x65, 0x54, 0x65, 0x78, 0x74, 0x12, 0x16, 0x0a, 0x06, 0x62, 0x65, 0x66,
	0x6f, 0x72, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x62, 0x65, 0x66, 0x6f, 0x72,
	0x65, 0x12, 0x14, 0x0a, 0x05, 0x61, 0x66, 0x74, 0x65, 0x72, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x05, 0x61, 0x66, 0x74, 0x65, 0x72, 0x22, 0xa2, 0x02, 0x0a, 0x10, 0x49, 0x6e, 0x73, 0x65,
	0x72, 0x74, 0x52, 0x6f, 0x77, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x17, 0x0a, 0x07,
	0x66, 0x69, 0x6c, 0x65, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x66,
	0x69, 0x6c, 0x65, 0x49, 0x64, 0x12, 0x19, 0x0a, 0x08, 0x73, 0x68, 0x65, 0x65, 0x74, 0x5f, 0x69,
	0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x05, 0x52, 0x07, 0x73, 0x68, 0x65, 0x65, 0x74, 0x49, 0x64,
	0x12, 0x21, 0x0a, 0x0c, 0x68, 0x65, 0x61, 0x64, 0x65, 0x72, 0x5f, 0x72, 0x61, 0x6e, 0x67, 0x65,
	0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x68, 0x65, 0x61, 0x64, 0x65, 0x72, 0x52, 0x61,
	0x6e, 0x67, 0x65, 0x12, 0x53, 0x0a, 0x0c, 0x69, 0x6e, 0x73, 0x65, 0x72, 0x74, 0x5f, 0x70, 0x61,
	0x69, 0x72, 0x73, 0x18, 0x04, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x30, 0x2e, 0x73, 0x69, 0x70, 0x2e,
	0x67, 0x73, 0x75, 0x69, 0x74, 0x65, 0x2e, 0x49, 0x6e, 0x73, 0x65, 0x72, 0x74, 0x52, 0x6f, 0x77,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x2e, 0x48, 0x65, 0x61, 0x64, 0x65, 0x72, 0x56, 0x61,
	0x6c, 0x75, 0x65, 0x54, 0x79, 0x70, 0x65, 0x50, 0x61, 0x69, 0x72, 0x52, 0x0b, 0x69, 0x6e, 0x73,
	0x65, 0x72, 0x74, 0x50, 0x61, 0x69, 0x72, 0x73, 0x1a, 0x62, 0x0a, 0x13, 0x48, 0x65, 0x61, 0x64,
	0x65, 0x72, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x54, 0x79, 0x70, 0x65, 0x50, 0x61, 0x69, 0x72, 0x12,
	0x16, 0x0a, 0x06, 0x68, 0x65, 0x61, 0x64, 0x65, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x06, 0x68, 0x65, 0x61, 0x64, 0x65, 0x72, 0x12, 0x14, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x12, 0x1d, 0x0a,
	0x0a, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x09, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x54, 0x79, 0x70, 0x65, 0x22, 0x28, 0x0a, 0x0f,
	0x43, 0x61, 0x6c, 0x65, 0x6e, 0x64, 0x61, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12,
	0x15, 0x0a, 0x06, 0x63, 0x61, 0x6c, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x05, 0x63, 0x61, 0x6c, 0x49, 0x64, 0x22, 0x8b, 0x01, 0x0a, 0x11, 0x41, 0x63, 0x63, 0x65, 0x73,
	0x73, 0x43, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x52, 0x75, 0x6c, 0x65, 0x12, 0x2b, 0x0a, 0x04,
	0x74, 0x79, 0x70, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x17, 0x2e, 0x73, 0x69, 0x70,
	0x2e, 0x67, 0x73, 0x75, 0x69, 0x74, 0x65, 0x2e, 0x53, 0x68, 0x61, 0x72, 0x69, 0x6e, 0x67, 0x54,
	0x79, 0x70, 0x65, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x76, 0x61, 0x6c,
	0x75, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x12,
	0x33, 0x0a, 0x04, 0x72, 0x6f, 0x6c, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x1f, 0x2e,
	0x73, 0x69, 0x70, 0x2e, 0x67, 0x73, 0x75, 0x69, 0x74, 0x65, 0x2e, 0x43, 0x61, 0x6c, 0x65, 0x6e,
	0x64, 0x61, 0x72, 0x53, 0x68, 0x61, 0x72, 0x69, 0x6e, 0x67, 0x52, 0x6f, 0x6c, 0x65, 0x52, 0x04,
	0x72, 0x6f, 0x6c, 0x65, 0x22, 0x9a, 0x01, 0x0a, 0x08, 0x43, 0x61, 0x6c, 0x65, 0x6e, 0x64, 0x61,
	0x72, 0x12, 0x15, 0x0a, 0x06, 0x63, 0x61, 0x6c, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x05, 0x63, 0x61, 0x6c, 0x49, 0x64, 0x12, 0x1b, 0x0a, 0x09, 0x63, 0x61, 0x6c, 0x5f,
	0x74, 0x69, 0x74, 0x6c, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x63, 0x61, 0x6c,
	0x54, 0x69, 0x74, 0x6c, 0x65, 0x12, 0x27, 0x0a, 0x0f, 0x63, 0x61, 0x6c, 0x5f, 0x64, 0x65, 0x73,
	0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0e,
	0x63, 0x61, 0x6c, 0x44, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x31,
	0x0a, 0x04, 0x61, 0x63, 0x6c, 0x73, 0x18, 0x04, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1d, 0x2e, 0x73,
	0x69, 0x70, 0x2e, 0x67, 0x73, 0x75, 0x69, 0x74, 0x65, 0x2e, 0x41, 0x63, 0x63, 0x65, 0x73, 0x73,
	0x43, 0x6f, 0x6e, 0x74, 0x72, 0x6f, 0x6c, 0x52, 0x75, 0x6c, 0x65, 0x52, 0x04, 0x61, 0x63, 0x6c,
	0x73, 0x22, 0x41, 0x0a, 0x15, 0x4c, 0x69, 0x73, 0x74, 0x43, 0x61, 0x6c, 0x65, 0x6e, 0x64, 0x61,
	0x72, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x28, 0x0a, 0x04, 0x63, 0x61,
	0x6c, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x14, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x67,
	0x73, 0x75, 0x69, 0x74, 0x65, 0x2e, 0x43, 0x61, 0x6c, 0x65, 0x6e, 0x64, 0x61, 0x72, 0x52, 0x04,
	0x63, 0x61, 0x6c, 0x73, 0x22, 0x5d, 0x0a, 0x15, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x43, 0x61,
	0x6c, 0x65, 0x6e, 0x64, 0x61, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x1b, 0x0a,
	0x09, 0x63, 0x61, 0x6c, 0x5f, 0x74, 0x69, 0x74, 0x6c, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x08, 0x63, 0x61, 0x6c, 0x54, 0x69, 0x74, 0x6c, 0x65, 0x12, 0x27, 0x0a, 0x0f, 0x63, 0x61,
	0x6c, 0x5f, 0x64, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x0e, 0x63, 0x61, 0x6c, 0x44, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74,
	0x69, 0x6f, 0x6e, 0x22, 0xef, 0x01, 0x0a, 0x12, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x45, 0x76,
	0x65, 0x6e, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x15, 0x0a, 0x06, 0x63, 0x61,
	0x6c, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x63, 0x61, 0x6c, 0x49,
	0x64, 0x12, 0x1f, 0x0a, 0x0b, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x5f, 0x74, 0x69, 0x74, 0x6c, 0x65,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x54, 0x69, 0x74,
	0x6c, 0x65, 0x12, 0x2b, 0x0a, 0x11, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x5f, 0x64, 0x65, 0x73, 0x63,
	0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x10, 0x65,
	0x76, 0x65, 0x6e, 0x74, 0x44, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x12,
	0x3b, 0x0a, 0x0b, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x5f, 0x73, 0x74, 0x61, 0x72, 0x74, 0x18, 0x04,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70,
	0x52, 0x0a, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x53, 0x74, 0x61, 0x72, 0x74, 0x12, 0x37, 0x0a, 0x09,
	0x65, 0x76, 0x65, 0x6e, 0x74, 0x5f, 0x65, 0x6e, 0x64, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75,
	0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x08, 0x65, 0x76, 0x65,
	0x6e, 0x74, 0x45, 0x6e, 0x64, 0x22, 0x40, 0x0a, 0x0c, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x15, 0x0a, 0x06, 0x63, 0x61, 0x6c, 0x5f, 0x69, 0x64, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x63, 0x61, 0x6c, 0x49, 0x64, 0x12, 0x19, 0x0a, 0x08,
	0x65, 0x76, 0x65, 0x6e, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07,
	0x65, 0x76, 0x65, 0x6e, 0x74, 0x49, 0x64, 0x22, 0xfd, 0x01, 0x0a, 0x05, 0x45, 0x76, 0x65, 0x6e,
	0x74, 0x12, 0x15, 0x0a, 0x06, 0x63, 0x61, 0x6c, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x05, 0x63, 0x61, 0x6c, 0x49, 0x64, 0x12, 0x19, 0x0a, 0x08, 0x65, 0x76, 0x65, 0x6e,
	0x74, 0x5f, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x65, 0x76, 0x65, 0x6e,
	0x74, 0x49, 0x64, 0x12, 0x1f, 0x0a, 0x0b, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x5f, 0x74, 0x69, 0x74,
	0x6c, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x54,
	0x69, 0x74, 0x6c, 0x65, 0x12, 0x2b, 0x0a, 0x11, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x5f, 0x64, 0x65,
	0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x10, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x44, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f,
	0x6e, 0x12, 0x3b, 0x0a, 0x0b, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x5f, 0x73, 0x74, 0x61, 0x72, 0x74,
	0x18, 0x05, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61,
	0x6d, 0x70, 0x52, 0x0a, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x53, 0x74, 0x61, 0x72, 0x74, 0x12, 0x37,
	0x0a, 0x09, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x5f, 0x65, 0x6e, 0x64, 0x18, 0x06, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x08, 0x65,
	0x76, 0x65, 0x6e, 0x74, 0x45, 0x6e, 0x64, 0x22, 0x8a, 0x02, 0x0a, 0x12, 0x55, 0x70, 0x64, 0x61,
	0x74, 0x65, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x15,
	0x0a, 0x06, 0x63, 0x61, 0x6c, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05,
	0x63, 0x61, 0x6c, 0x49, 0x64, 0x12, 0x19, 0x0a, 0x08, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x5f, 0x69,
	0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x49, 0x64,
	0x12, 0x1f, 0x0a, 0x0b, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x5f, 0x74, 0x69, 0x74, 0x6c, 0x65, 0x18,
	0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x54, 0x69, 0x74, 0x6c,
	0x65, 0x12, 0x2b, 0x0a, 0x11, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x5f, 0x64, 0x65, 0x73, 0x63, 0x72,
	0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x10, 0x65, 0x76,
	0x65, 0x6e, 0x74, 0x44, 0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x3b,
	0x0a, 0x0b, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x5f, 0x73, 0x74, 0x61, 0x72, 0x74, 0x18, 0x05, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52,
	0x0a, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x53, 0x74, 0x61, 0x72, 0x74, 0x12, 0x37, 0x0a, 0x09, 0x65,
	0x76, 0x65, 0x6e, 0x74, 0x5f, 0x65, 0x6e, 0x64, 0x18, 0x06, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a,
	0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66,
	0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x08, 0x65, 0x76, 0x65, 0x6e,
	0x74, 0x45, 0x6e, 0x64, 0x2a, 0x39, 0x0a, 0x0b, 0x53, 0x68, 0x61, 0x72, 0x69, 0x6e, 0x67, 0x54,
	0x79, 0x70, 0x65, 0x12, 0x08, 0x0a, 0x04, 0x55, 0x53, 0x45, 0x52, 0x10, 0x00, 0x12, 0x09, 0x0a,
	0x05, 0x47, 0x52, 0x4f, 0x55, 0x50, 0x10, 0x01, 0x12, 0x09, 0x0a, 0x05, 0x56, 0x53, 0x45, 0x54,
	0x48, 0x10, 0x02, 0x12, 0x0a, 0x0a, 0x06, 0x50, 0x55, 0x42, 0x4c, 0x49, 0x43, 0x10, 0x03, 0x2a,
	0xa7, 0x01, 0x0a, 0x0f, 0x46, 0x69, 0x6c, 0x65, 0x53, 0x68, 0x61, 0x72, 0x69, 0x6e, 0x67, 0x52,
	0x6f, 0x6c, 0x65, 0x12, 0x14, 0x0a, 0x10, 0x46, 0x49, 0x4c, 0x45, 0x50, 0x45, 0x52, 0x4f, 0x4c,
	0x45, 0x5f, 0x4f, 0x57, 0x4e, 0x45, 0x52, 0x10, 0x00, 0x12, 0x18, 0x0a, 0x14, 0x46, 0x49, 0x4c,
	0x45, 0x50, 0x45, 0x52, 0x4f, 0x4c, 0x45, 0x5f, 0x4f, 0x52, 0x47, 0x41, 0x4e, 0x49, 0x5a, 0x45,
	0x52, 0x10, 0x01, 0x12, 0x1c, 0x0a, 0x18, 0x46, 0x49, 0x4c, 0x45, 0x50, 0x45, 0x52, 0x4f, 0x4c,
	0x45, 0x5f, 0x46, 0x49, 0x4c, 0x45, 0x4f, 0x52, 0x47, 0x41, 0x4e, 0x49, 0x5a, 0x45, 0x52, 0x10,
	0x02, 0x12, 0x15, 0x0a, 0x11, 0x46, 0x49, 0x4c, 0x45, 0x50, 0x45, 0x52, 0x4f, 0x4c, 0x45, 0x5f,
	0x57, 0x52, 0x49, 0x54, 0x45, 0x52, 0x10, 0x03, 0x12, 0x18, 0x0a, 0x14, 0x46, 0x49, 0x4c, 0x45,
	0x50, 0x45, 0x52, 0x4f, 0x4c, 0x45, 0x5f, 0x43, 0x4f, 0x4d, 0x4d, 0x45, 0x4e, 0x54, 0x45, 0x52,
	0x10, 0x04, 0x12, 0x15, 0x0a, 0x11, 0x46, 0x49, 0x4c, 0x45, 0x50, 0x45, 0x52, 0x4f, 0x4c, 0x45,
	0x5f, 0x52, 0x45, 0x41, 0x44, 0x45, 0x52, 0x10, 0x05, 0x2a, 0x97, 0x01, 0x0a, 0x13, 0x43, 0x61,
	0x6c, 0x65, 0x6e, 0x64, 0x61, 0x72, 0x53, 0x68, 0x61, 0x72, 0x69, 0x6e, 0x67, 0x52, 0x6f, 0x6c,
	0x65, 0x12, 0x15, 0x0a, 0x11, 0x43, 0x41, 0x4c, 0x45, 0x4e, 0x44, 0x41, 0x52, 0x52, 0x4f, 0x4c,
	0x45, 0x5f, 0x4e, 0x4f, 0x4e, 0x45, 0x10, 0x00, 0x12, 0x1f, 0x0a, 0x1b, 0x43, 0x41, 0x4c, 0x45,
	0x4e, 0x44, 0x41, 0x52, 0x52, 0x4f, 0x4c, 0x45, 0x5f, 0x46, 0x52, 0x45, 0x45, 0x42, 0x55, 0x53,
	0x59, 0x52, 0x45, 0x41, 0x44, 0x45, 0x52, 0x10, 0x01, 0x12, 0x17, 0x0a, 0x13, 0x43, 0x41, 0x4c,
	0x45, 0x4e, 0x44, 0x41, 0x52, 0x52, 0x4f, 0x4c, 0x45, 0x5f, 0x52, 0x45, 0x41, 0x44, 0x45, 0x52,
	0x10, 0x02, 0x12, 0x17, 0x0a, 0x13, 0x43, 0x41, 0x4c, 0x45, 0x4e, 0x44, 0x41, 0x52, 0x52, 0x4f,
	0x4c, 0x45, 0x5f, 0x57, 0x52, 0x49, 0x54, 0x45, 0x52, 0x10, 0x03, 0x12, 0x16, 0x0a, 0x12, 0x43,
	0x41, 0x4c, 0x45, 0x4e, 0x44, 0x41, 0x52, 0x52, 0x4f, 0x4c, 0x45, 0x5f, 0x4f, 0x57, 0x4e, 0x45,
	0x52, 0x10, 0x04, 0x32, 0xf6, 0x0a, 0x0a, 0x06, 0x47, 0x73, 0x75, 0x69, 0x74, 0x65, 0x12, 0x48,
	0x0a, 0x0c, 0x44, 0x6f, 0x77, 0x6e, 0x6c, 0x6f, 0x61, 0x64, 0x46, 0x69, 0x6c, 0x65, 0x12, 0x17,
	0x2e, 0x73, 0x69, 0x70, 0x2e, 0x67, 0x73, 0x75, 0x69, 0x74, 0x65, 0x2e, 0x46, 0x69, 0x6c, 0x65,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1d, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x67, 0x73,
	0x75, 0x69, 0x74, 0x65, 0x2e, 0x44, 0x6f, 0x77, 0x6e, 0x6c, 0x6f, 0x61, 0x64, 0x46, 0x69, 0x6c,
	0x65, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x30, 0x01, 0x12, 0x4a, 0x0a, 0x0a, 0x55, 0x70, 0x6c, 0x6f,
	0x61, 0x64, 0x46, 0x69, 0x6c, 0x65, 0x12, 0x1d, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x67, 0x73, 0x75,
	0x69, 0x74, 0x65, 0x2e, 0x55, 0x70, 0x6c, 0x6f, 0x61, 0x64, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1b, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x67, 0x73, 0x75, 0x69,
	0x74, 0x65, 0x2e, 0x55, 0x70, 0x6c, 0x6f, 0x61, 0x64, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x70,
	0x6c, 0x79, 0x28, 0x01, 0x12, 0x3e, 0x0a, 0x08, 0x43, 0x6f, 0x70, 0x79, 0x46, 0x69, 0x6c, 0x65,
	0x12, 0x1b, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x67, 0x73, 0x75, 0x69, 0x74, 0x65, 0x2e, 0x43, 0x6f,
	0x70, 0x79, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x15, 0x2e,
	0x73, 0x69, 0x70, 0x2e, 0x67, 0x73, 0x75, 0x69, 0x74, 0x65, 0x2e, 0x46, 0x69, 0x6c, 0x65, 0x52,
	0x65, 0x70, 0x6c, 0x79, 0x12, 0x4e, 0x0a, 0x0c, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x46, 0x6f,
	0x6c, 0x64, 0x65, 0x72, 0x12, 0x1f, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x67, 0x73, 0x75, 0x69, 0x74,
	0x65, 0x2e, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x46, 0x6f, 0x6c, 0x64, 0x65, 0x72, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1d, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x67, 0x73, 0x75, 0x69,
	0x74, 0x65, 0x2e, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x46, 0x6f, 0x6c, 0x64, 0x65, 0x72, 0x52,
	0x65, 0x70, 0x6c, 0x79, 0x12, 0x3d, 0x0a, 0x0a, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x46, 0x69,
	0x6c, 0x65, 0x12, 0x17, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x67, 0x73, 0x75, 0x69, 0x74, 0x65, 0x2e,
	0x46, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x16, 0x2e, 0x67, 0x6f,
	0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x45, 0x6d,
	0x70, 0x74, 0x79, 0x12, 0x3d, 0x0a, 0x09, 0x53, 0x68, 0x61, 0x72, 0x65, 0x46, 0x69, 0x6c, 0x65,
	0x12, 0x18, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x67, 0x73, 0x75, 0x69, 0x74, 0x65, 0x2e, 0x53, 0x68,
	0x61, 0x72, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x16, 0x2e, 0x67, 0x6f, 0x6f,
	0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x45, 0x6d, 0x70,
	0x74, 0x79, 0x12, 0x44, 0x0a, 0x0e, 0x47, 0x65, 0x74, 0x57, 0x65, 0x62, 0x56, 0x69, 0x65, 0x77,
	0x4c, 0x69, 0x6e, 0x6b, 0x12, 0x17, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x67, 0x73, 0x75, 0x69, 0x74,
	0x65, 0x2e, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x19, 0x2e,
	0x73, 0x69, 0x70, 0x2e, 0x67, 0x73, 0x75, 0x69, 0x74, 0x65, 0x2e, 0x46, 0x69, 0x6c, 0x65, 0x4c,
	0x69, 0x6e, 0x6b, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x12, 0x48, 0x0a, 0x0c, 0x43, 0x72, 0x65, 0x61,
	0x74, 0x65, 0x46, 0x6f, 0x6c, 0x64, 0x65, 0x72, 0x12, 0x1f, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x67,
	0x73, 0x75, 0x69, 0x74, 0x65, 0x2e, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x46, 0x6f, 0x6c, 0x64,
	0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x17, 0x2e, 0x73, 0x69, 0x70, 0x2e,
	0x67, 0x73, 0x75, 0x69, 0x74, 0x65, 0x2e, 0x46, 0x6f, 0x6c, 0x64, 0x65, 0x72, 0x52, 0x65, 0x70,
	0x6c, 0x79, 0x12, 0x41, 0x0a, 0x0f, 0x45, 0x78, 0x70, 0x6f, 0x72, 0x74, 0x46, 0x69, 0x6c, 0x65,
	0x41, 0x73, 0x50, 0x64, 0x66, 0x12, 0x17, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x67, 0x73, 0x75, 0x69,
	0x74, 0x65, 0x2e, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x15,
	0x2e, 0x73, 0x69, 0x70, 0x2e, 0x67, 0x73, 0x75, 0x69, 0x74, 0x65, 0x2e, 0x46, 0x69, 0x6c, 0x65,
	0x52, 0x65, 0x70, 0x6c, 0x79, 0x12, 0x43, 0x0a, 0x11, 0x45, 0x78, 0x70, 0x6f, 0x72, 0x74, 0x53,
	0x68, 0x65, 0x65, 0x74, 0x73, 0x41, 0x73, 0x43, 0x73, 0x76, 0x12, 0x17, 0x2e, 0x73, 0x69, 0x70,
	0x2e, 0x67, 0x73, 0x75, 0x69, 0x74, 0x65, 0x2e, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x1a, 0x15, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x67, 0x73, 0x75, 0x69, 0x74, 0x65,
	0x2e, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x12, 0x42, 0x0a, 0x0c, 0x47, 0x65,
	0x6e, 0x65, 0x72, 0x61, 0x74, 0x65, 0x44, 0x6f, 0x63, 0x73, 0x12, 0x1b, 0x2e, 0x73, 0x69, 0x70,
	0x2e, 0x67, 0x73, 0x75, 0x69, 0x74, 0x65, 0x2e, 0x47, 0x65, 0x6e, 0x65, 0x72, 0x61, 0x74, 0x65,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x15, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x67, 0x73,
	0x75, 0x69, 0x74, 0x65, 0x2e, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x12, 0x44,
	0x0a, 0x0e, 0x47, 0x65, 0x6e, 0x65, 0x72, 0x61, 0x74, 0x65, 0x53, 0x68, 0x65, 0x65, 0x74, 0x73,
	0x12, 0x1b, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x67, 0x73, 0x75, 0x69, 0x74, 0x65, 0x2e, 0x47, 0x65,
	0x6e, 0x65, 0x72, 0x61, 0x74, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x15, 0x2e,
	0x73, 0x69, 0x70, 0x2e, 0x67, 0x73, 0x75, 0x69, 0x74, 0x65, 0x2e, 0x46, 0x69, 0x6c, 0x65, 0x52,
	0x65, 0x70, 0x6c, 0x79, 0x12, 0x49, 0x0a, 0x11, 0x49, 0x6e, 0x73, 0x65, 0x72, 0x74, 0x52, 0x6f,
	0x77, 0x49, 0x6e, 0x53, 0x68, 0x65, 0x65, 0x74, 0x73, 0x12, 0x1c, 0x2e, 0x73, 0x69, 0x70, 0x2e,
	0x67, 0x73, 0x75, 0x69, 0x74, 0x65, 0x2e, 0x49, 0x6e, 0x73, 0x65, 0x72, 0x74, 0x52, 0x6f, 0x77,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x16, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x12,
	0x49, 0x0a, 0x0e, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x43, 0x61, 0x6c, 0x65, 0x6e, 0x64, 0x61,
	0x72, 0x12, 0x21, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x67, 0x73, 0x75, 0x69, 0x74, 0x65, 0x2e, 0x43,
	0x72, 0x65, 0x61, 0x74, 0x65, 0x43, 0x61, 0x6c, 0x65, 0x6e, 0x64, 0x61, 0x72, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x1a, 0x14, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x67, 0x73, 0x75, 0x69, 0x74,
	0x65, 0x2e, 0x43, 0x61, 0x6c, 0x65, 0x6e, 0x64, 0x61, 0x72, 0x12, 0x4a, 0x0a, 0x0d, 0x4c, 0x69,
	0x73, 0x74, 0x43, 0x61, 0x6c, 0x65, 0x6e, 0x64, 0x61, 0x72, 0x73, 0x12, 0x16, 0x2e, 0x67, 0x6f,
	0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x45, 0x6d,
	0x70, 0x74, 0x79, 0x1a, 0x21, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x67, 0x73, 0x75, 0x69, 0x74, 0x65,
	0x2e, 0x4c, 0x69, 0x73, 0x74, 0x43, 0x61, 0x6c, 0x65, 0x6e, 0x64, 0x61, 0x72, 0x73, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x41, 0x0a, 0x0d, 0x53, 0x68, 0x61, 0x72, 0x65, 0x43,
	0x61, 0x6c, 0x65, 0x6e, 0x64, 0x61, 0x72, 0x12, 0x18, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x67, 0x73,
	0x75, 0x69, 0x74, 0x65, 0x2e, 0x53, 0x68, 0x61, 0x72, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x1a, 0x16, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x62, 0x75, 0x66, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x12, 0x40, 0x0a, 0x0b, 0x43, 0x72, 0x65,
	0x61, 0x74, 0x65, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x12, 0x1e, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x67,
	0x73, 0x75, 0x69, 0x74, 0x65, 0x2e, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x45, 0x76, 0x65, 0x6e,
	0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x11, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x67,
	0x73, 0x75, 0x69, 0x74, 0x65, 0x2e, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x12, 0x37, 0x0a, 0x08, 0x47,
	0x65, 0x74, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x12, 0x18, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x67, 0x73,
	0x75, 0x69, 0x74, 0x65, 0x2e, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x1a, 0x11, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x67, 0x73, 0x75, 0x69, 0x74, 0x65, 0x2e, 0x45,
	0x76, 0x65, 0x6e, 0x74, 0x12, 0x45, 0x0a, 0x0b, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x45, 0x76,
	0x65, 0x6e, 0x74, 0x12, 0x1e, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x67, 0x73, 0x75, 0x69, 0x74, 0x65,
	0x2e, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x1a, 0x16, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x12, 0x3f, 0x0a, 0x0b, 0x44,
	0x65, 0x6c, 0x65, 0x74, 0x65, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x12, 0x18, 0x2e, 0x73, 0x69, 0x70,
	0x2e, 0x67, 0x73, 0x75, 0x69, 0x74, 0x65, 0x2e, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x1a, 0x16, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x42, 0x56, 0x0a, 0x0d,
	0x63, 0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x67, 0x73, 0x75, 0x69, 0x74, 0x65, 0x50, 0x01, 0x5a,
	0x43, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x65, 0x74, 0x68, 0x7a, 0x2e, 0x63, 0x68, 0x2f,
	0x76, 0x73, 0x65, 0x74, 0x68, 0x2f, 0x30, 0x34, 0x30, 0x33, 0x2d, 0x69, 0x73, 0x67, 0x2f, 0x6c,
	0x69, 0x62, 0x72, 0x61, 0x72, 0x69, 0x65, 0x73, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x74,
	0x75, 0x62, 0x2d, 0x67, 0x6f, 0x6c, 0x61, 0x6e, 0x67, 0x2f, 0x73, 0x69, 0x70, 0x2f, 0x67, 0x73,
	0x75, 0x69, 0x74, 0x65, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_sip_gsuite_gsuite_proto_rawDescOnce sync.Once
	file_sip_gsuite_gsuite_proto_rawDescData = file_sip_gsuite_gsuite_proto_rawDesc
)

func file_sip_gsuite_gsuite_proto_rawDescGZIP() []byte {
	file_sip_gsuite_gsuite_proto_rawDescOnce.Do(func() {
		file_sip_gsuite_gsuite_proto_rawDescData = protoimpl.X.CompressGZIP(file_sip_gsuite_gsuite_proto_rawDescData)
	})
	return file_sip_gsuite_gsuite_proto_rawDescData
}

var file_sip_gsuite_gsuite_proto_enumTypes = make([]protoimpl.EnumInfo, 3)
var file_sip_gsuite_gsuite_proto_msgTypes = make([]protoimpl.MessageInfo, 28)
var file_sip_gsuite_gsuite_proto_goTypes = []interface{}{
	(SharingType)(0),                             // 0: sip.gsuite.SharingType
	(FileSharingRole)(0),                         // 1: sip.gsuite.FileSharingRole
	(CalendarSharingRole)(0),                     // 2: sip.gsuite.CalendarSharingRole
	(*FileRequest)(nil),                          // 3: sip.gsuite.FileRequest
	(*FileReply)(nil),                            // 4: sip.gsuite.FileReply
	(*UploadFileReply)(nil),                      // 5: sip.gsuite.UploadFileReply
	(*DownloadFileReply)(nil),                    // 6: sip.gsuite.DownloadFileReply
	(*UploadFileInfo)(nil),                       // 7: sip.gsuite.UploadFileInfo
	(*UploadFileRequest)(nil),                    // 8: sip.gsuite.UploadFileRequest
	(*SearchFolderRequest)(nil),                  // 9: sip.gsuite.SearchFolderRequest
	(*SearchFolderReply)(nil),                    // 10: sip.gsuite.SearchFolderReply
	(*FolderRequest)(nil),                        // 11: sip.gsuite.FolderRequest
	(*CreateFolderRequest)(nil),                  // 12: sip.gsuite.CreateFolderRequest
	(*FolderReply)(nil),                          // 13: sip.gsuite.FolderReply
	(*ShareRequest)(nil),                         // 14: sip.gsuite.ShareRequest
	(*ShareFileWithAnyoneRequest)(nil),           // 15: sip.gsuite.ShareFileWithAnyoneRequest
	(*FileLinkReply)(nil),                        // 16: sip.gsuite.FileLinkReply
	(*CopyFileRequest)(nil),                      // 17: sip.gsuite.CopyFileRequest
	(*GenerateRequest)(nil),                      // 18: sip.gsuite.GenerateRequest
	(*InsertRowRequest)(nil),                     // 19: sip.gsuite.InsertRowRequest
	(*CalendarRequest)(nil),                      // 20: sip.gsuite.CalendarRequest
	(*AccessControlRule)(nil),                    // 21: sip.gsuite.AccessControlRule
	(*Calendar)(nil),                             // 22: sip.gsuite.Calendar
	(*ListCalendarsResponse)(nil),                // 23: sip.gsuite.ListCalendarsResponse
	(*CreateCalendarRequest)(nil),                // 24: sip.gsuite.CreateCalendarRequest
	(*CreateEventRequest)(nil),                   // 25: sip.gsuite.CreateEventRequest
	(*EventRequest)(nil),                         // 26: sip.gsuite.EventRequest
	(*Event)(nil),                                // 27: sip.gsuite.Event
	(*UpdateEventRequest)(nil),                   // 28: sip.gsuite.UpdateEventRequest
	(*GenerateRequest_ReplaceText)(nil),          // 29: sip.gsuite.GenerateRequest.ReplaceText
	(*InsertRowRequest_HeaderValueTypePair)(nil), // 30: sip.gsuite.InsertRowRequest.HeaderValueTypePair
	(*timestamppb.Timestamp)(nil),                // 31: google.protobuf.Timestamp
	(*emptypb.Empty)(nil),                        // 32: google.protobuf.Empty
}
var file_sip_gsuite_gsuite_proto_depIdxs = []int32{
	7,  // 0: sip.gsuite.UploadFileRequest.info:type_name -> sip.gsuite.UploadFileInfo
	0,  // 1: sip.gsuite.ShareRequest.type:type_name -> sip.gsuite.SharingType
	1,  // 2: sip.gsuite.ShareRequest.file_sharing_role:type_name -> sip.gsuite.FileSharingRole
	2,  // 3: sip.gsuite.ShareRequest.calendar_sharing_role:type_name -> sip.gsuite.CalendarSharingRole
	29, // 4: sip.gsuite.GenerateRequest.replace:type_name -> sip.gsuite.GenerateRequest.ReplaceText
	30, // 5: sip.gsuite.InsertRowRequest.insert_pairs:type_name -> sip.gsuite.InsertRowRequest.HeaderValueTypePair
	0,  // 6: sip.gsuite.AccessControlRule.type:type_name -> sip.gsuite.SharingType
	2,  // 7: sip.gsuite.AccessControlRule.role:type_name -> sip.gsuite.CalendarSharingRole
	21, // 8: sip.gsuite.Calendar.acls:type_name -> sip.gsuite.AccessControlRule
	22, // 9: sip.gsuite.ListCalendarsResponse.cals:type_name -> sip.gsuite.Calendar
	31, // 10: sip.gsuite.CreateEventRequest.event_start:type_name -> google.protobuf.Timestamp
	31, // 11: sip.gsuite.CreateEventRequest.event_end:type_name -> google.protobuf.Timestamp
	31, // 12: sip.gsuite.Event.event_start:type_name -> google.protobuf.Timestamp
	31, // 13: sip.gsuite.Event.event_end:type_name -> google.protobuf.Timestamp
	31, // 14: sip.gsuite.UpdateEventRequest.event_start:type_name -> google.protobuf.Timestamp
	31, // 15: sip.gsuite.UpdateEventRequest.event_end:type_name -> google.protobuf.Timestamp
	3,  // 16: sip.gsuite.Gsuite.DownloadFile:input_type -> sip.gsuite.FileRequest
	8,  // 17: sip.gsuite.Gsuite.UploadFile:input_type -> sip.gsuite.UploadFileRequest
	17, // 18: sip.gsuite.Gsuite.CopyFile:input_type -> sip.gsuite.CopyFileRequest
	9,  // 19: sip.gsuite.Gsuite.SearchFolder:input_type -> sip.gsuite.SearchFolderRequest
	3,  // 20: sip.gsuite.Gsuite.DeleteFile:input_type -> sip.gsuite.FileRequest
	14, // 21: sip.gsuite.Gsuite.ShareFile:input_type -> sip.gsuite.ShareRequest
	3,  // 22: sip.gsuite.Gsuite.GetWebViewLink:input_type -> sip.gsuite.FileRequest
	12, // 23: sip.gsuite.Gsuite.CreateFolder:input_type -> sip.gsuite.CreateFolderRequest
	3,  // 24: sip.gsuite.Gsuite.ExportFileAsPdf:input_type -> sip.gsuite.FileRequest
	3,  // 25: sip.gsuite.Gsuite.ExportSheetsAsCsv:input_type -> sip.gsuite.FileRequest
	18, // 26: sip.gsuite.Gsuite.GenerateDocs:input_type -> sip.gsuite.GenerateRequest
	18, // 27: sip.gsuite.Gsuite.GenerateSheets:input_type -> sip.gsuite.GenerateRequest
	19, // 28: sip.gsuite.Gsuite.InsertRowInSheets:input_type -> sip.gsuite.InsertRowRequest
	24, // 29: sip.gsuite.Gsuite.CreateCalendar:input_type -> sip.gsuite.CreateCalendarRequest
	32, // 30: sip.gsuite.Gsuite.ListCalendars:input_type -> google.protobuf.Empty
	14, // 31: sip.gsuite.Gsuite.ShareCalendar:input_type -> sip.gsuite.ShareRequest
	25, // 32: sip.gsuite.Gsuite.CreateEvent:input_type -> sip.gsuite.CreateEventRequest
	26, // 33: sip.gsuite.Gsuite.GetEvent:input_type -> sip.gsuite.EventRequest
	28, // 34: sip.gsuite.Gsuite.UpdateEvent:input_type -> sip.gsuite.UpdateEventRequest
	26, // 35: sip.gsuite.Gsuite.DeleteEvent:input_type -> sip.gsuite.EventRequest
	6,  // 36: sip.gsuite.Gsuite.DownloadFile:output_type -> sip.gsuite.DownloadFileReply
	5,  // 37: sip.gsuite.Gsuite.UploadFile:output_type -> sip.gsuite.UploadFileReply
	4,  // 38: sip.gsuite.Gsuite.CopyFile:output_type -> sip.gsuite.FileReply
	10, // 39: sip.gsuite.Gsuite.SearchFolder:output_type -> sip.gsuite.SearchFolderReply
	32, // 40: sip.gsuite.Gsuite.DeleteFile:output_type -> google.protobuf.Empty
	32, // 41: sip.gsuite.Gsuite.ShareFile:output_type -> google.protobuf.Empty
	16, // 42: sip.gsuite.Gsuite.GetWebViewLink:output_type -> sip.gsuite.FileLinkReply
	13, // 43: sip.gsuite.Gsuite.CreateFolder:output_type -> sip.gsuite.FolderReply
	4,  // 44: sip.gsuite.Gsuite.ExportFileAsPdf:output_type -> sip.gsuite.FileReply
	4,  // 45: sip.gsuite.Gsuite.ExportSheetsAsCsv:output_type -> sip.gsuite.FileReply
	4,  // 46: sip.gsuite.Gsuite.GenerateDocs:output_type -> sip.gsuite.FileReply
	4,  // 47: sip.gsuite.Gsuite.GenerateSheets:output_type -> sip.gsuite.FileReply
	32, // 48: sip.gsuite.Gsuite.InsertRowInSheets:output_type -> google.protobuf.Empty
	22, // 49: sip.gsuite.Gsuite.CreateCalendar:output_type -> sip.gsuite.Calendar
	23, // 50: sip.gsuite.Gsuite.ListCalendars:output_type -> sip.gsuite.ListCalendarsResponse
	32, // 51: sip.gsuite.Gsuite.ShareCalendar:output_type -> google.protobuf.Empty
	27, // 52: sip.gsuite.Gsuite.CreateEvent:output_type -> sip.gsuite.Event
	27, // 53: sip.gsuite.Gsuite.GetEvent:output_type -> sip.gsuite.Event
	32, // 54: sip.gsuite.Gsuite.UpdateEvent:output_type -> google.protobuf.Empty
	32, // 55: sip.gsuite.Gsuite.DeleteEvent:output_type -> google.protobuf.Empty
	36, // [36:56] is the sub-list for method output_type
	16, // [16:36] is the sub-list for method input_type
	16, // [16:16] is the sub-list for extension type_name
	16, // [16:16] is the sub-list for extension extendee
	0,  // [0:16] is the sub-list for field type_name
}

func init() { file_sip_gsuite_gsuite_proto_init() }
func file_sip_gsuite_gsuite_proto_init() {
	if File_sip_gsuite_gsuite_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_sip_gsuite_gsuite_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*FileRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_sip_gsuite_gsuite_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*FileReply); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_sip_gsuite_gsuite_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UploadFileReply); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_sip_gsuite_gsuite_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DownloadFileReply); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_sip_gsuite_gsuite_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UploadFileInfo); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_sip_gsuite_gsuite_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UploadFileRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_sip_gsuite_gsuite_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SearchFolderRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_sip_gsuite_gsuite_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SearchFolderReply); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_sip_gsuite_gsuite_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*FolderRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_sip_gsuite_gsuite_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateFolderRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_sip_gsuite_gsuite_proto_msgTypes[10].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*FolderReply); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_sip_gsuite_gsuite_proto_msgTypes[11].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ShareRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_sip_gsuite_gsuite_proto_msgTypes[12].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ShareFileWithAnyoneRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_sip_gsuite_gsuite_proto_msgTypes[13].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*FileLinkReply); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_sip_gsuite_gsuite_proto_msgTypes[14].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CopyFileRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_sip_gsuite_gsuite_proto_msgTypes[15].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GenerateRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_sip_gsuite_gsuite_proto_msgTypes[16].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*InsertRowRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_sip_gsuite_gsuite_proto_msgTypes[17].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CalendarRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_sip_gsuite_gsuite_proto_msgTypes[18].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*AccessControlRule); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_sip_gsuite_gsuite_proto_msgTypes[19].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Calendar); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_sip_gsuite_gsuite_proto_msgTypes[20].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListCalendarsResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_sip_gsuite_gsuite_proto_msgTypes[21].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateCalendarRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_sip_gsuite_gsuite_proto_msgTypes[22].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateEventRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_sip_gsuite_gsuite_proto_msgTypes[23].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*EventRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_sip_gsuite_gsuite_proto_msgTypes[24].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Event); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_sip_gsuite_gsuite_proto_msgTypes[25].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UpdateEventRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_sip_gsuite_gsuite_proto_msgTypes[26].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GenerateRequest_ReplaceText); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_sip_gsuite_gsuite_proto_msgTypes[27].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*InsertRowRequest_HeaderValueTypePair); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	file_sip_gsuite_gsuite_proto_msgTypes[5].OneofWrappers = []interface{}{
		(*UploadFileRequest_Info)(nil),
		(*UploadFileRequest_Data)(nil),
	}
	file_sip_gsuite_gsuite_proto_msgTypes[11].OneofWrappers = []interface{}{
		(*ShareRequest_FileSharingRole)(nil),
		(*ShareRequest_CalendarSharingRole)(nil),
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_sip_gsuite_gsuite_proto_rawDesc,
			NumEnums:      3,
			NumMessages:   28,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_sip_gsuite_gsuite_proto_goTypes,
		DependencyIndexes: file_sip_gsuite_gsuite_proto_depIdxs,
		EnumInfos:         file_sip_gsuite_gsuite_proto_enumTypes,
		MessageInfos:      file_sip_gsuite_gsuite_proto_msgTypes,
	}.Build()
	File_sip_gsuite_gsuite_proto = out.File
	file_sip_gsuite_gsuite_proto_rawDesc = nil
	file_sip_gsuite_gsuite_proto_goTypes = nil
	file_sip_gsuite_gsuite_proto_depIdxs = nil
}
